
import com.imsl.math.*;
import com.imsl.stat.distributions.BetaPD;
import java.text.DecimalFormat;

public class BetaPDEx1 {

    public static void main(String[] args) throws Exception {

        double[] x = {
            0.12396e0, 0.58037e0, 0.28837e0, 0.38195e0,
            0.44387e0, 0.17680e0, 0.22661e0, 0.55939e0
        };

        double[] values = new double[x.length];
        double a = 1.2;
        double b = 2.0;

        BetaPD beta = new BetaPD();

        for (int i = 0; i < x.length; i++) {
            values[i] = beta.pdf(x[i], a, b);
        }

        PrintMatrixFormat pmf = new PrintMatrixFormat();
        pmf.setNumberFormat(new DecimalFormat("0.00000000"));

        PrintMatrix pm = new PrintMatrix("Beta(1.2,2.0) pdf values at x=");
        pm.print(x);

        pm.setTitle("f(x;a,b)=");
        pm.print(values);

        double[] gradient = beta.getPDFGradientApproximation(x[0], a, b);

        pm.setTitle("Gradient f(x;a,b) at x[0]");
        pm.print(gradient);

        double[][] hessian = beta.getPDFHessianApproximation(x[0], a, b);

        pm.setTitle("Hessian of f(x;a,b) at x[0]");
        pm.print(pmf, hessian);
    }
}
